## org.eclipse.emf.workspace.examples.extlibrary.presentation
Class EXTLibraryEditor.ReverseAdapterFactoryContentProvider

    java.lang.Object
      org.eclipse.emf.edit.ui.provider.AdapterFactoryContentProvider
          org.eclipse.emf.transaction.ui.provider.TransactionalAdapterFactoryContentProvider
              org.eclipse.emf.workspace.examples.extlibrary.presentation.EXTLibraryEditor.ReverseAdapterFactoryContentProvider

All Implemented Interfaces:
  org.eclipse.emf.edit.provider.INotifyChangedListener, IContentProvider, IStructuredContentProvider, ITreeContentProvider, IPropertySourceProvider

Enclosing class:
  EXTLibraryEditor

    public class EXTLibraryEditor.ReverseAdapterFactoryContentProvider

extends TransactionalAdapterFactoryContentProvider

Nested Class Summary

Nested classes/interfaces inherited from class org.eclipse.emf.edit.ui.provider.AdapterFactoryContentProvider
`org.eclipse.emf.edit.ui.provider.AdapterFactoryContentProvider.ViewerRefresh`

Field Summary

Fields inherited from class org.eclipse.emf.edit.ui.provider.AdapterFactoryContentProvider
`adapterFactory, viewer, viewerRefresh`

Constructor Summary
`EXTLibraryEditor.ReverseAdapterFactoryContentProvider(org.eclipse.emf.common.notify.AdapterFactory adapterFactory)`

Method Summary
`Object[]` `getChildren(Object object)`
`Object[]` `getElements(Object object)`
`Object` `getParent(Object object)`
`boolean` `hasChildren(Object object)`

Methods inherited from class org.eclipse.emf.transaction.ui.provider.TransactionalAdapterFactoryContentProvider
`createPropertySource, getPropertySource, inputChanged, run, wrap`

Methods inherited from class org.eclipse.emf.edit.ui.provider.AdapterFactoryContentProvider
`dispose, getAdapterFactory, notifyChanged, setAdapterFactory`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### EXTLibraryEditor.ReverseAdapterFactoryContentProvider

    public EXTLibraryEditor.ReverseAdapterFactoryContentProvider(org.eclipse.emf.common.notify.AdapterFactory adapterFactory)

Method Detail

### getElements

    public Object[] getElements(Object object)

  Specified by:
    `getElements` in interface `IStructuredContentProvider`
  Specified by:
    `getElements` in interface `ITreeContentProvider`
  Overrides:
    `getElements` in class `TransactionalAdapterFactoryContentProvider`

### getChildren

    public Object[] getChildren(Object object)

  Specified by:
    `getChildren` in interface `ITreeContentProvider`
  Overrides:
    `getChildren` in class `TransactionalAdapterFactoryContentProvider`

### hasChildren

    public boolean hasChildren(Object object)

  Specified by:
    `hasChildren` in interface `ITreeContentProvider`
  Overrides:
    `hasChildren` in class `TransactionalAdapterFactoryContentProvider`

### getParent

    public Object getParent(Object object)

  Specified by:
    `getParent` in interface `ITreeContentProvider`
  Overrides:
    `getParent` in class `TransactionalAdapterFactoryContentProvider`

Copyright 2002, 2007 IBM Corporation and others. All Rights Reserved.